Image of Salin Headquarters
TLS 1.2: Today's Security Standard

April 05, 2018

To make sure your data stays safe with Salin Bank, effective Monday, April 9th, 2018, Salin Online Banking and Salin Business e-Banking will only support the latest version of the web security standard called Transport Layer Security (TLS). Most browsers already use this technology by default, but if yours doesn’t, you may need to enable TLS 1.2 or update to the latest version of your browser or operating system in order to continue using our online banking systems.

Learn more about TLS and how to ensure you have TLS 1.2 enabled.

Browser upgrade information.